module clock_divider(
	input wire clock,
	input wire reset,
	
	output reg out
);
	
	parameter divider = 32'd50_000_000;

	reg [31:0] 	counter;

	always @(posedge clock)
	begin
		if (reset || !counter)
			counter <= divider;
		else
			counter <= counter - 1;
		
		out <= counter == 0;
	end

endmodule
