module uart(
	input 			CLOCK_50,
	input		[3:0] KEY,
	input 	[9:0]	SW,
	output	[9:0]	LEDR
);

	reg[9:0] LED;
	reg[7:0] my_data;
	reg my_start;
	wire[9:0] SWITCH;
	wire my_clock;
	wire my_ready;
	wire my_received;
	
	clock_divider div(
		.clock(CLOCK_50),
		.reset(!KEY[0]),
		.out(my_clock)
	);
	
	transmiter trensmit(
		.clock(my_clock),
		.start(my_start),
		.data(my_data),
		.ready(my_ready),
		.out(my_received)
	);
	
	defparam div.divider = 12_500_000;
	
	assign LEDR = LED;
	assign SWITCH = SW;

	always @(posedge CLOCK_50)
	begin
		my_data = SWITCH[7:0];
		
		my_start <= my_ready;
			
		LED = my_received;
	end

endmodule
